aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml8
-rwxr-xr-xdist/travis-ci.sh15
2 files changed, 16 insertions, 7 deletions
diff --git a/.travis.yml b/.travis.yml
index db9feb8cc..22b042efd 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -4,10 +4,4 @@ addons:
apt:
packages:
- gnat
-script:
- - ./configure
- - make
- - export GHDL=$PWD/ghdl_mcode
- - cd testsuite
- - gnatmake get_entities
- - ./testsuite.sh
+script: ./dist/travis-ci.sh
diff --git a/dist/travis-ci.sh b/dist/travis-ci.sh
new file mode 100755
index 000000000..87b0c4612
--- /dev/null
+++ b/dist/travis-ci.sh
@@ -0,0 +1,15 @@
+#! /bin/sh
+# This script is executed in the travis-ci environment.
+
+# Stop in case of error
+set -e
+
+# Build
+./configure
+make
+
+# Test
+export GHDL=$PWD/ghdl_mcode
+cd testsuite
+gnatmake get_entities
+./testsuite.sh